log4cplus::helpers::LockFile Class Reference

`#include <lockfile.h>`

## Public Member Functions

| LockFile (tstring const &lock_file, bool create_dirs=false)
| ~LockFile ()
void | lock () const
void | unlock () const

## Detailed Description

Definition at line 42 of file lockfile.h.

## Constructor & Destructor Documentation

## LockFile()

log4cplus::helpers::LockFile::LockFile | ( | tstring const & | lock_file,
|  | bool | create_dirs = false )

## ~LockFile()

log4cplus::helpers::LockFile::~LockFile | ( |  | ) |

## Member Function Documentation

## lock()

void log4cplus::helpers::LockFile::lock | ( |  | ) | const

## unlock()

void log4cplus::helpers::LockFile::unlock | ( |  | ) | const

The documentation for this class was generated from the following file:

- lockfile.h